package com.ywt.mg.domain.models.enums;

public enum BankCardEnum {

    Unknown("未知", 0),
    DepositCard("储蓄卡",1);

    private final String displayName;

    private  int value = 1;

    BankCardEnum(String displayName,int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName(){
        return  displayName;
    }

    public  int getValue(){
        return value;
    }

    public static BankCardEnum valueOf(int value){
        switch (value){
            case 0:
                return Unknown;
            case 1:
                return DepositCard;
            default:
                return null;
        }
    }


}
